import os
import logging
from edosl0util.cli import util
from edosl0util import split

LOG = logging


def main():
    parser = util.default_parser()
    parser.add_argument("--minutes", type=int, default=6)
    parser.add_argument("filepath")
    args = parser.parse_args()
    util.configure_logging(args)

    for stamp, fpath in split.split_file(args.filepath, args.minutes, os.getcwd()):
        LOG.info("wrote bucket {} to {}".format(stamp.isoformat(), fpath))


if __name__ == "__main__":
    main()
