import logging
from pprint import pprint

from edosl0util.cli import util
from edosl0util import crio

LOG = logging


def main():
    parser = util.default_parser()
    parser.add_argument("filepath")
    args = parser.parse_args()
    util.configure_logging(args)

    pprint(crio.read(args.filepath))


if __name__ == "__main__":
    main()
